<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Favorite extends CI_Controller{
    
        
    function __construct(){
        parent::__construct();
        error_reporting(E_ALL);
        ini_set('display_errors', 1);
       
    }

    
    public function index(){
        $data = array();
        $uid = $this->input->post('uid');
        $src = $this->input->post('src');
        $url = $this->input->post('url');
        $favTipe = $this->input->post('favorit_tipe');

        $save = array();
        $save['src'] = $src;
        $save['url'] = $url;
        $save['user_id'] = $uid;
        $save['created_at'] = date('Y-m-d H:i:s');
        $save['updated_at'] = date('Y-m-d H:i:s');
        $save['favorit_tipe'] = $favTipe;

        $res = $this->db->insert('member_favorite', $save);

        if($res){

            $id = $this->db->insert_id();
            $this->db->where('id', $id);
            $row = $this->db->get('member_favorite');
            $q = $row->row();

            $data['status'] = true;
            $data['message'] = 'Berhasil';
            $data['data'] = $q;
        }else{
            $data['status'] = false;
            $data['message'] = 'failed save favorit';
        }

        echo json_encode($data);

    }

    public function get($userID, $tipe){
         $data = array();
         $sql = "SELECT * FROM member_favorite WHERE user_id = ? AND favorit_tipe = ?";
         $q = $this->db->query($sql, array($userID, $tipe));

        $data['status'] = true;
        $data['message'] = 'Berhasil';
        $data['data']['favorites'] = $q->result();

        echo json_encode($data);

    }


    public function bulk_delete($userID){
        $data = array();
        $ids = $this->input->post('ids');

        // $bulk =  json_encode($ids);
        if($userID != ''){
            $data['status'] = true;
            $data['message'] = 'Berhasil';
            $data['data']['action'] = $ids;
        }else{
            $data['status'] = false;
            $data['message'] = '404 Not Found';
           
        }

        echo json_encode($data);
            
        // $this->where('user_id', $userID);

    }

    
    

}

/* End of file Groups.php */
/* Location: ./application/controllers/Groups.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-05-14 11:23:29 */
/* http://harviacode.com */
